%define prefix	/usr/X11R6

Summary:	The Enlightenment window manager
Name:		enlightenment
Version:	0.16.5
Release:	5mdk
License:	GPL
Group:		Graphical desktop/Enlightenment
Packager:	David BAUDENS <baudens@mandrakesoft.com>

BuildRequires:	libfnlib0-devel XFree86-devel imlib-devel audiofile-devel esound-devel libghttp-devel libjpeg-devel libpng-devel libtiff-devel freetype-devel libungif-devel zlib-devel
Source:		enlightenment-%{version}.tar.bz2
Source5:	enlightenment-menu.method.bz2
Source6:	enlightenment.xpm.bz2
Source7:	enlightenment32.xpm.bz2
# this overrides some themes' *.cfg files with other slightly modified to
# use fontsets, and so be able to display text in any language
# the files inside that tarball may need to be modified or new added if the
# themes' files from the Enlightenment sources change -- pablo
Source8:	enlightenment-0.16.5-themes-i18n.tar.bz2

Patch0:		enlightenment-menukey.patch.bz2
Patch1:		enlightenment-0.16.4-scriptdir.patch.bz2
Patch2:		enlightenment-0.16.5-disable-user-menu-generation.patch.bz2
Patch3:		enlightenment-0.16.5-disable-entry-for-user-menu-generation.patch.bz2
# Dadou - 0.16.5-5mdk - Quick and dirty - Generate a ~/.xsession using the right directory
Patch4:		enlightenment-0.16.5-fix-enlightenment.install.patch.bz2

Requires:	imlib >= 1.9, libfnlib0 >= 0.4, freetype >= 1.3 
Requires:	esound >= 0.2.14, ImageMagick >= 4.2.9
BuildPreReq:	imlib-devel, libfnlib0-devel, freetype-devel, esound-devel
URL:		http://www.enlightenment.org/
BuildRoot:	%_tmppath/%name-%version-root

%description
Enlightenment is a window manager for the X Window System that is designed to
be powerful, extensible, configurable and pretty darned good looking! It is one
of the more graphically intense window managers.

Enlightenment goes beyond managing windows by providing a useful and appealing
graphical shell from which to work. It is open in design and instead of
dictating a policy, allows the user to define their own policy, down to every
last detail.

This package will install the Enlightenment window manager.

%prep

%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
	./configure --prefix=%prefix \
		    --host=%_target_cpu \
		    --enable-fsstd \
		    --enable-sound \
		    --enable-upgrade \
		    --with-esd-prefix=%_prefix \
		    --with-imlib-prefix=%_prefix \
		    --enable-zoom 

%make

%install
# configure script has a bug, localedir uses the prefix value instead 
# of $prefix so it is needed to redefine it here with the build root value
make install prefix=$RPM_BUILD_ROOT/%prefix \
		localedir=$RPM_BUILD_ROOT/%prefix/share/locale \
		gnulocaledir=$RPM_BUILD_ROOT/%prefix/share/locale 

# Menu
mkdir -p $RPM_BUILD_ROOT/%_sysconfdir/X11/enlightenment/menus
perl -lwne '/^__E_CFG_VERSION 0$/ and print("$_\n\n", qw@BEGIN_NEW_FILE_MENU("LINUX-MANDRAKE_MENU", "ROOT", "/etc/X11/enlightenment/menus/mandrake.menu")@, "\nEND_MENU") or /^ADD_MENU_SUBMENU_TEXT_ITEM.*APPS_SUBMENU/ and print("$_\n", qw@ADD_MENU_SUBMENU_TEXT_ITEM("Applications",        "LINUX-MANDRAKE_MENU")@) or print;' src/themes/configs/menus.cfg > $RPM_BUILD_ROOT/%prefix/share/enlightenment/config/menus.cfg

# Menu method
install -d 644 $RPM_BUILD_ROOT/%_sysconfdir/menu-methods
bzcat %SOURCE5 > $RPM_BUILD_ROOT/%_sysconfdir/menu-methods/%name
chmod a+x $RPM_BUILD_ROOT/%_sysconfdir/menu-methods/%name

# Install icons
install -d 644 $RPM_BUILD_ROOT%_iconsdir
install -d 644 $RPM_BUILD_ROOT%_miconsdir
bzcat %SOURCE7 > $RPM_BUILD_ROOT%_iconsdir/%name.xpm
bzcat %SOURCE6 > $RPM_BUILD_ROOT%_miconsdir/%name.xpm

install -d 644 $RPM_BUILD_ROOT/%_menudir
cat << EOF > $RPM_BUILD_ROOT/%_menudir/%name
?package(%name): needs=wm section=Session/Windowmanagers icon=enlightenment.xpm title=Enlightenment command=%prefix/bin/enlightenment
EOF

install -d 644 $RPM_BUILD_ROOT%_sysconfdir/X11/wmsession.d
cat << EOF > $RPM_BUILD_ROOT/%_sysconfdir/X11/wmsession.d/04Enlightenment
NAME=Enlightenment
DESC=The enlightenment window manager
EXEC=%prefix/bin/enlightenment
SCRIPT:
exec %prefix/bin/enlightenment
EOF

# overwrite some themes' files with i18n'ed ones
bzcat %SOURCE8 | tar xvf - -C $RPM_BUILD_ROOT/%prefix/share/enlightenment

%find_lang %{name}

%post
%update_menus
%make_session

%postun
%clean_menus
%make_session

%clean
rm -fr $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root,755)
%config(noreplace) %_sysconfdir/menu-methods/%name
%dir %_sysconfdir/X11/enlightenment
%config(noreplace) %_sysconfdir/X11/enlightenment/menus
%config(noreplace) %_sysconfdir/X11/wmsession.d/*
%_menudir/*
%prefix/bin/*
%prefix/man/man1/*
%dir %prefix/share/%name
%prefix/share/%name/*

%changelog
* Sun Apr 08 2001 David BAUDENS <baudens@mandrakesoft.com> 0.16.5-5mdk
- Fix chksession entry (%%prefix doesn't mean /usr)
- Fix PATH in enlightenment.install script

* Sat Jan 27 2001 Stefan van der Eijk <s.vandereijk@chello.nl> 0.16.5-4mdk
- fix BuildRequires (fnlib-devel --> libfnlib0-devel)

* Thu Dec 28 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.16.5-3mdk
- included properly translation catalog files
- added fontset support by default

* Wed Dec 13 2000 David BAUDENS <baudens@mandrakesoft.com> 0.16.5-2mdk
- Move in /usr/X11R6
- Spec clean up and Q.A. stuff

* Fri Nov 10 2000 David BAUDENS <baudens@mandrakesoft.com> 0.16.5-1mdk
- 0.16.5

* Wed Oct 25 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.16.4-7mdk
- Correct bug 685

* Tue Oct 24 2000 Daouda Lo <daouda@mandrakesoft.com> 0.16.4-6mdk
- fix the entry in /etc/X11/wmsession.d 

* Wed Sep 27 2000 Daouda Lo <daouda@mandrakesoft.com> 0.16.4-5mdk
- some macrozifications 
- add menu icons

* Wed Sep 27 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.16.4-4mdk
- entry in /etc/X11/wmsession.d
- correct dirrectories perms.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.16.4-3mdk
- automatically added BuildRequires

* Fri Jul 28 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.16.4-2mdk
- macroszifications
- rebuild for the BM

* Wed Jun 28 2000 dam's <damien@mandrakesoft.com> 0.16.4-1mdk
- update to 16.4
- changed the default theme (not removing it anymore)

* Wed Jun  7 2000 Pixel <pixel@mandrakesoft.com> 0.16.3-12mdk
- rebuild with new fnlib

* Thu May 11 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.16.3-11mdk
- fixed group

* Fri Apr 28 2000 dam's <damine@mandrakesoft.com> 0.16.3-10mdk
- added fndSession call.

* Mon Apr 10 2000 DindinX <odin@mandrakesoft.com> 0.16.3-9mdk
- Menu key support
- specs cleanup

* Tue Apr  4 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.16.3-8mdk
- fix menu method and added i18n support.
- moved /etc/enlightenment to /etc/X11/enlightenment

* Mon Apr  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.16.3-7mdk
- Adjust groups.
- I need a new job my god, fix another error (chmod +x the
  menu-method).

* Sat Apr  1 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.16.3-6mdk
- Ok this time fix all rpmlint warning and reuploading.

* Sat Apr  1 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.16.3-5mdk
- Add menu support.

* Mon Dec 27 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- add requires ImageMagick >= 4.2.9 (for e_menu*, and yes i know)
- add esound-devel to BuildPreReq
- Default theme BlueSteel
- re-move BrushedMetal-Tigert, and ShinyMetal (running out of space, they're in ethemes)
- Remove all but the last @redhat.com entry in the rpm changelog (4 pages of it, and my pages aren't small)
- some other general clean-ups of the .spce file

* Thu Dec 16 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- fix enlightenment.install

* Mon Nov 22 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 0.16.3
- export EBIN, and EROOT
- (and perl patch the stupid enlightenment.install, till they fix autoconf)

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- SMP build macro
- 0.16.1 :
	- use e_gen menus (i'll hack these for Mandrake once they quit changeing it)
	- No more Linux-Mandrake etheme (I no longer have time to maintain it)
	- Keybindings/Theme per default
- Probably something else I am forgetting :/

* Wed Sep 22 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Add BuildPreReq (before i forget again)
- 0.16.devel.9 : 
	- lots of fixes
	- lots of kde work
	- New theme, Ganymede
- keybindings.cfg :
	- Apparently we weren't gnome compliant
	- Button 3 (rightmouse) reserved for gmc
	- E config menu on 'alt button 2'
	- E main menu on button 2 and alt button 3

* Sun Sep 12 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 0.16.devel.6 : fixes 129% load, drop apps between pagers, and others 

* Tue Aug 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Redid Linux-Mandrake theme to meet new eTheme guidelines. (Standarization is a good thing)
- Latest CVS :
	* Fixes Segfault when paramlist to long for "Remeeber state" (Long standing bug. Yay!)
	* More KDE support

* Tue Aug 24 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Update snapshot 0.16.devel.5 : kfm runs without -no-KDE-compliant-window-manager
 	(Mad props to the E coders thanks)
- menus.cfg :
	* Check for communicator, if not there don't show netscape mail in quick apps
	* Xmms in quick apps
	* Gmc and Kfm in quick apps
	* Kde/menus add "Restart with KDE"
	* Gnome/menus add "Restart with GNOME"
	* Enlightenment/menus add MagicBG under desktop with the other Special effects

* Mon Aug 02 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Update snapshot 0.16.devel.4
- Add Linux-Mandrake etheme
- Add GTK+ For Enlightenment Theme, its clean it's fast it's what i based the mdk theme on
- keybindings.cfg :
	* Main menu on right desktop click
- control.cfg :
	* include linux-mandrake.cfg
- linux-mandrake.cfg :
	* defines icons used in menus
- menus.cfg :
	* Mandrakesoft menu
	* KDE menu
	* Moved Enlightenment items to seperate menus

* Thu Jul 12 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Update cvs snapshot, (signifigant changes finally)
- use "correct macro" for bzip2 manpages
- versionate mdk configs to make modifying easier
- Set theme to Brushed metal (It talks what more could you ask for)
- menus.cfg :
	* Add Gatos xatitv/xatitvfb to apps
	* Add Kmail (TODO: add a full KDE submenu)
	* Backgrounds, add System and User sections
	* Add Raindrops and Waves special effects
	* Add Config submenu (0.16 feature)
- keybindings.cfg :
	* Disabled allow any modifier so as to not any muck-up custom bindings
	* alt-left = Other apps (TODO: seperate main menu into more subs it's going to get clutered)
	* alt-right = Settings menu
	* alt-middle/double = Main menu (Pastes are easier this way)

* Thu Jun 01 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Updated to the 0.16.devel.2 snapshot 

* Tue May 11 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Remove the irrating sky tooltips.

* Sat Apr 24 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adatations.
- Stripping again.

* Mon Apr 05 1999 Michael Fulbright <drmike@redhat.com>
- version 0.15.5 plus semisolid drag fix
- made CleanBig the default theme
